> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecobalt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staff

> Returns the staff synced for the account.

### Example Request

```bash theme={null}
curl -X GET https://api.usecobalt.com/v1/staff \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
```

### Example Response

```json theme={null}
{
    "success": true,
    "data": [
        {
            "ehr_id": "12220",
            "name": "Smith,Jane"
        },
        {
            "ehr_id": "12241",
            "name": "Doe,John"
        }
    ]
}
```

Use an entry's `ehr_id` wherever a request takes a staff ID, such as `assigned_to_id`.


## OpenAPI

````yaml GET /staff
openapi: 3.1.0
info:
  title: Cobalt API
  version: 1.0.1
  description: API for interacting with Cobalt's EHR integration services
servers:
  - url: https://api.usecobalt.com/v1
    description: Production
security:
  - ClientCredentials: []
    ClientSecret: []
    AccessToken: []
paths:
  /staff:
    get:
      tags:
        - Settings
      summary: List staff
      description: >-
        Returns the staff Cobalt has synced for the account. Use an entry's
        `ehr_id` wherever a request takes a staff id (for example
        `assigned_to_id`). Same list as `staff_list` on GET /v1/settings.
      operationId: getStaff
      responses:
        '200':
          description: Staff for the account
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        ehr_id:
                          type: string
                          description: >-
                            EMR staff id. Pass this wherever a request takes a
                            staff id (e.g. assigned_to_id).
                        name:
                          type: string
                      required:
                        - ehr_id
                        - name
                required:
                  - success
                  - data
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    BadRequest:
      description: Bad request — missing or invalid parameters
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                enum:
                  - false
              message:
                type: string
            required:
              - success
              - message
    Unauthorized:
      description: Unauthorized — missing or invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                enum:
                  - false
              message:
                type: string
            required:
              - success
              - message
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                enum:
                  - false
              message:
                type: string
            required:
              - success
              - message
  securitySchemes:
    ClientCredentials:
      type: apiKey
      in: header
      name: client_id
    ClientSecret:
      type: apiKey
      in: header
      name: client_secret
    AccessToken:
      type: apiKey
      in: header
      name: access_token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.